summaryrefslogtreecommitdiff
path: root/tools/rockboxdev.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/rockboxdev.sh')
-rwxr-xr-xtools/rockboxdev.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tools/rockboxdev.sh b/tools/rockboxdev.sh
index eb36a8ff66..0d07b32821 100755
--- a/tools/rockboxdev.sh
+++ b/tools/rockboxdev.sh
@@ -1,5 +1,11 @@
#!/bin/sh
+# Abort execution as soon as an error is encountered
+# That way the script do not let the user think the process completed correctly
+# and leave the opportunity to fix the problem and restart compilation where
+# it stopped
+set -e
+
# this is where this script will store downloaded files and check for already
# downloaded files
dlwhere="/tmp/rbdev-dl"